Python
import requests
url = "https://api.trysynch.com/Payment/{paymentRequestId}/Status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/Payment/{paymentRequestId}/Status';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request GET \
--url https://api.trysynch.com/Payment/{paymentRequestId}/Status \
--header 'Authorization: Bearer <token>'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/Payment/{paymentRequestId}/Status");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/Payment/{paymentRequestId}/Status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": {
"value": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"status": "<string>",
"amount": {
"value": 123,
"currencyCode": {
"value": "<string>",
"displayName": "<string>",
"cultureName": "<string>"
}
},
"creationDate": {
"value": "2023-11-07T05:31:56Z"
},
"dueDate": {
"value": "2023-11-07T05:31:56Z"
}
}Payment
Get payment status
GET
/
Payment
/
{paymentRequestId}
/
Status
Python
import requests
url = "https://api.trysynch.com/Payment/{paymentRequestId}/Status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/Payment/{paymentRequestId}/Status';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request GET \
--url https://api.trysynch.com/Payment/{paymentRequestId}/Status \
--header 'Authorization: Bearer <token>'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/Payment/{paymentRequestId}/Status");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/Payment/{paymentRequestId}/Status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": {
"value": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"status": "<string>",
"amount": {
"value": 123,
"currencyCode": {
"value": "<string>",
"displayName": "<string>",
"cultureName": "<string>"
}
},
"creationDate": {
"value": "2023-11-07T05:31:56Z"
},
"dueDate": {
"value": "2023-11-07T05:31:56Z"
}
}Authorizations
JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
Path Parameters
Last modified on August 3, 2026
Was this page helpful?